Remove members from a Data Studio asset.

To simplify the process of removing user access to assets, well-formed requests
always return a `200 OK` response, even if a member is invalid or does not
belong to the Data Studio asset.

## Request

### HTTP request

    POST https://datastudio.googleapis.com/v1/assets/{assetName}/permissions:revokeAllPermissions

### Path parameters

| Parameter name | Type | Description |
|---|---|---|
| `assetName` | string | The name (ID) id of the asset. |

### Authorization

This request requires the authorized user to have sufficient permissions to
manage the assets permissions and authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/datastudio` |

### Request body

In the request body, supply the following properties:

| Property name | Type | Description |
|---|---|---|
| `members` | Array\<[Member](https://developers.google.com/data-studio/integrate/api/reference/types#Member)\> | A list of members to remove. Owners cannot be removed. The authorized user cannot be removed. |

> [!IMPORTANT]
> **Important:** Revoking permissions for an invalid member (for example, nonexistent Google account) or a member that does not belong to the asset will **not** cause the request to fail.

## Response

If successful, this method returns the updated \[`Permissions`\] object.

## Example

The following command removes two members from a Data Studio asset.

    POST https://datastudio.googleapis.com/v1/assets/assetName/permissions:revokeAllPermissions

Request body:

    {
      "members": [
        "user:gus@gmail.com",
        "domain:example.com"
      ]
    }